﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Threading;

namespace EchoServerMultiClientApplication
{
    class EchoServerparallel
    {
        private int port;
        private bool stop = false;

        public EchoServerparallel(int port)
        {
            this.port = port;
        }
        public void ServerTrådMetode()
        {
            System.Console.WriteLine("Echo server startet på port:" + port);

            IPAddress ip = IPAddress.Parse("127.0.0.1");
            TcpListener listener = new TcpListener(ip, port);
            listener.Start();
            while (!stop)
            {
                System.Console.WriteLine("Echo server klar");

                Socket clientSocket = listener.AcceptSocket();

                if (stop) break;

                System.Console.WriteLine("Der er gået en i fælden");

                ClientHandler handler = new ClientHandler(clientSocket);
                //				handler.RunClient();		// Kun een af gangen

                // Her sættes op til af behandling foregår parallel
                // så der kan fortsættes med en ny
                Thread clientTråd = new Thread(handler.RunClient);
                clientTråd.Start();
            }
        }
        public void SignalStop()
        {
            stop = true;
        }
    }
}